Skip to content
Pile
Esc
navigateopen⌘Jpreview

List documents

GET/workspaces/{organizationId}/documents
Path parameters
organizationIdstringrequired
Query parameters
projectIdstring
issueIdstring
initiativeIdstring
parentDocumentIdstring
spaceIdstring
isTemplatestring
includeTrashedstring
Responses
200Document list
documentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdown
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/documents"
Response
{
  "documents": [
    {
      "id": "string",
      "organizationId": "string",
      "title": "string",
      "icon": "string",
      "content": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "contentFormat": "blocks",
      "slug": "string",
      "projectId": "string",
      "issueId": "string",
      "initiativeId": "string",
      "parentDocumentId": "string",
      "spaceId": "string",
      "isTemplate": true,
      "createdById": "string",
      "updatedById": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "trashedAt": "string"
    }
  ]
}